# Maintainer: evdinowork <etaash.mathamsetty@gmail.com>
pkgname=flashpoint-launcher
pkgver=10.1.7
pkgrel=0
_dataver=1012
pkgdesc="Launcher for BlueMaxima's Flashpoint"
arch=('amd64')
url="https://github.com/FlashpointProject/launcher"
license=('MIT')
depends=(
	'libnss3'
	'tar'
	'php'
	'libgtk-3-0'
	'libxss1'
	'wine'
	'qemu-system-x86'
	'wget'
)
makedepends=(
	'desktop-file-utils'
	'libarchive13'
)
source=(
	"flashpoint-data.7z::https://bluepload.unstable.life/selif/flashpoint-${_dataver}-linux-x64.7z"
	"flashpoint-launcher_${pkgver}-${pkgrel}_${arch}.deb::https://github.com/FlashpointProject/launcher/releases/download/${pkgver}/Flashpoint-${pkgver}_linux-amd64.deb"
	"flashpoint-launcher.sh"
)
noextract=("flashpoint-data.7z")
sha256sums=(
	'0d7281177361b84d498852f608c3d5538934f59b0842fed7cc697e7ac407db7d'
	'ee306cf0b6468f66099cc43dcd20f57bd16a0859c6bbd85ca925834d34c2b662'
	'de7c9e7328ff9d93b8511be0226a6d205092621c328a6e229f40ce45325b87a7'
)

package(){
	echo "Extracting Data files ..."
	mkdir -p "${pkgdir}/opt/Flashpoint/"
#	rm ${srcdir}/flashpoint.7z
#	cp -rp ${srcdir} ${pkgdir}/opt/Flashpoint/

	echo "Extracting package data ..."
	tar xf data.tar.xz -C "${pkgdir}"
	mkdir -p "${pkgdir}/opt/Flashpoint/Launcher"
	cd "${pkgdir}/opt/Flashpoint"
	mv $(ls | grep -v Launcher) "${pkgdir}/opt/Flashpoint/Launcher/"
	cd "${srcdir}"

	echo "Extracting Flashpoint data... (This will take some time)"
	bsdtar -xf flashpoint-data.7z -C "${pkgdir}/opt/Flashpoint/" Data/* FPSoftware/* Server/* Plugins/* Legacy/*

	echo "Creating Launcher..."
	install -Dm755 "${srcdir}/flashpoint-launcher.sh" \
		"${pkgdir}/usr/bin/flashpoint-launcher"

#	mkdir -vp "${pkgdir}/usr/bin"
#	printf \
#	"#!/usr/bin/env bash\n\n
#	cd /opt/Flashpoint/\n
#	/opt/Flashpoint/Launcher/flashpoint-launcher \$@" > "${pkgdir}/usr/bin/flashpoint-launcher"
#	chmod -v 777 "${pkgdir}/usr/bin/flashpoint-launcher"
#	echo Linking launcher
#	mkdir -vp ${pkgdir}/usr/bin
#	ln -sv ${pkgdir}/opt/Flashpoint/flashpoint-launcher ${pkgdir}/usr/bin/

	echo "Fixing desktop file ..."
	desktop-file-edit "${pkgdir}/usr/share/applications/flashpoint-launcher.desktop" --set-key Categories --set-value "Game;"
	desktop-file-edit "${pkgdir}/usr/share/applications/flashpoint-launcher.desktop" --set-key Exec --set-value "/usr/bin/flashpoint-launcher"

#	install -dv ${pkgdir}/usr/share/licenses/
	echo "Installing Licenses..."
	mkdir -vp "${pkgdir}/usr/share/licenses/"
	cp -r "${pkgdir}/opt/Flashpoint/Launcher/licenses/" "${pkgdir}/usr/share/licenses/Flashpoint"

#	echo Making config and preferences writable by all ...
#	touch "${pkgdir}/opt/Flashpoint/extConfig.json"
#	chmod 666 "${pkgdir}/opt/Flashpoint/extConfig.json"
#	touch "${pkgdir}/opt/Flashpoint/preferences.json"
#	chmod 666 "${pkgdir}/opt/Flashpoint/preferences.json"
#	touch "${pkgdir}/opt/Flashpoint/launcher.log"
#	chmod 666 "${pkgdir}/opt/Flashpoint/launcher.log"
	chmod -R 777 "${pkgdir}/opt/Flashpoint"
	#chmod -vR 777 "${pkgdir}/opt/Flashpoint/Data"

#	echo Installing data-files-installer ...
#	install -Dm755 ${srcdir}/flashpoint-install-data-files.sh ${pkgdir}/usr/bin/flashpoint-install-data-files

	echo "Fixing permissions..."
	chmod 4755 "${pkgdir}/opt/Flashpoint/Launcher/chrome-sandbox"
}
